%define pkgname xkb-utils
%define xkbutils_version 1.0.1
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 xkb utilities
Name: 		xorg-x11-%{pkgname}
# FIXME: The version field should be the same as the xkbutils tarball version,
# but it got accidentally bumped to 1.0.2.  When xkbutils 1.0.2 is actually
# released, please use the %%{xkbutils_version} macro here to help prevent
# inadvertent bumps in the future.
Version: 	1.0.3
# NOTE: Bump the release field when updating xkbcomp/xkbevd/xkbprint/setxkbmap,
# as the package version is supposed to be the xkbutils version.
Release: 	1
License: 	MIT/X11
Group: 		User Interface/X
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0: 	http://xorg.freedesktop.org/releases/individual/app/xkbutils-%{xkbutils_version}.tar.bz2
Source1: 	http://xorg.freedesktop.org/releases/individual/app/xkbcomp-1.0.3.tar.bz2
Source2: 	http://xorg.freedesktop.org/releases/individual/app/xkbevd-1.0.2.tar.bz2
Source3: 	http://xorg.freedesktop.org/releases/individual/app/xkbprint-1.0.1.tar.bz2
Source4: 	http://xorg.freedesktop.org/releases/individual/app/setxkbmap-1.0.4.tar.bz2

BuildRequires: 	pkg-config
# libxkbfile-devel needed for setxkbmap, xkbcomp, xkbevd, xkbprint
BuildRequires: libxkbfile-devel
# libX11-devel needed for setxkbmap, xkbcomp, xkbevd, xkbprint
BuildRequires: libX11-devel
# libXaw-devel needed for xkbutils
BuildRequires: libXaw-devel
# libXt-devel needed for xkbutils
BuildRequires: libXt-devel
# FIXME: xkbvleds requires libXext, but autotools doesn't check/require it:
# gcc  -O2 -g -march=i386 -mcpu=i686   -o xkbvleds  xkbvleds-xkbvleds.o
# xkbvleds-LED.o xkbvleds-utils.o -lXaw7 -lXmu -lXt -lSM -lICE -lXext -lXpm -lX11 -ldl
# /usr/bin/ld: cannot find -lXext
# libXext-devel needed for xkbutils (from above error)
BuildRequires: libXext-devel
# FIXME: xkbvleds requires libXext, but autotools doesn't check/require it:
# gcc  -O2 -g -march=i386 -mcpu=i686   -o xkbvleds  xkbvleds-xkbvleds.o
# xkbvleds-LED.o xkbvleds-utils.o -lXaw7 -lXmu -lXt -lSM -lICE -lXext -lXpm -lX11 -ldl
# /usr/bin/ld: cannot find -lXpm
# libXpm-devel needed for xkbutils (from above error)
BuildRequires: libXpm-devel

#Provides: %{pkgname}
Provides: setxkbmap, xkbcomp, xkbevd, xkbprint, xkbutils
# NOTE: The XFree86, and xorg-x11 packages used to contain the xkb utilities
# in the previous monolithic based releases.
Obsoletes: xorg

%description
X.Org X11 xkb utilities

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4

%build
# Build everything
{
   for pkg in xkbutils setxkbmap xkbcomp xkbevd xkbprint ; do
      pushd $pkg-*
      %configure
      make
      popd
   done
}

%install
rm -rf $RPM_BUILD_ROOT

# Install everything
{
   for pkg in xkbutils setxkbmap xkbcomp xkbevd xkbprint ; do
      pushd $pkg-*
      make install DESTDIR=$RPM_BUILD_ROOT
      popd
   done
}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
# FIXME: The package version is higher than the actual xkbutils version
# currently, so this hack is necessary.  When xkbutils 1.0.2 is actually
# released, this should be restored to use the "version" macro, which will
# also have the side effect of helping prevent premature package version
# incrementation.
#%doc xkbutils-%{version}/AUTHORS xkbutils-%{version}/COPYING xkbutils-%{version}/INSTALL
#%doc xkbutils-%{version}/NEWS xkbutils-%{version}/README xkbutils-%{version}/ChangeLog
%doc xkbutils-%{xkbutils_version}/AUTHORS xkbutils-%{xkbutils_version}/COPYING xkbutils-%{xkbutils_version}/INSTALL
%doc xkbutils-%{xkbutils_version}/NEWS xkbutils-%{xkbutils_version}/README xkbutils-%{xkbutils_version}/ChangeLog
%{_bindir}/setxkbmap
%{_bindir}/xkbbell
%{_bindir}/xkbcomp
%{_bindir}/xkbevd
%{_bindir}/xkbprint
%{_bindir}/xkbvleds
%{_bindir}/xkbwatch
#%dir %{_mandir}/man1x
# FIXME: manpages are missing for xkbbell, xkbvleds, xkbwatch.  I examined
# the monolithic packaging however, and it does not appear to have manpages
# for them either.
%{_mandir}/man1

%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-1
- Version update
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Initial release
